Package org.snpeff.coverage

# Class CoverageChr

java.lang.Object
org.snpeff.coverage.CoverageChr

All Implemented Interfaces:
  `Serializable`

public class CoverageChr extends Object implements Serializable
Base by base coverage (one chromsome)

Author:
  pcingola
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CoverageChr(int len)`

## Method Summary

Modifier and Type
Method
Description
`double`
`avgCoverage(int start, int end)`
Calculate Coverage per base
`long`
`coverage(int start, int end)`
Calculate Coverage per base
`short[]`
`getCount()`
`void`
`inc(int start, int end)`
Increment a region
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CoverageChr

public CoverageChr(int len)

## Method Details

### avgCoverage

public double avgCoverage(int start, int end)
Calculate Coverage per base

Returns:
  Average coverage per base

### coverage

public long coverage(int start, int end)
Calculate Coverage per base

Returns:
  Average coverage per base

### getCount

public short[] getCount()

### inc

public void inc(int start, int end)
Increment a region

Parameters:
  `start` -
  `end` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`